From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Dist-Zilla-Plugin-TaskWeaver/
Date: Sun, 13 Oct 2013 11:49:32 +0000 (UTC) [thread overview]
Message-ID: <1381664288.4971acfe8a80653223c9d956dd96a0fb2c83609a.kent@gentoo> (raw)
commit: 4971acfe8a80653223c9d956dd96a0fb2c83609a
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Oct 13 11:38:08 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Oct 13 11:38:08 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=4971acfe
[newversion] dev-perl/Dist-Zilla-Plugin-TaskWeaver-0.101.626
Package-Manager: portage-2.2.7
Manifest-Sign-Key: E854324B1366A820
---
dev-perl/Dist-Zilla-Plugin-TaskWeaver/ChangeLog | 8 ++-
.../Dist-Zilla-Plugin-TaskWeaver-0.101.626.ebuild | 66 ++++++++++++++++++++++
2 files changed, 73 insertions(+), 1 deletion(-)
diff --git a/dev-perl/Dist-Zilla-Plugin-TaskWeaver/ChangeLog b/dev-perl/Dist-Zilla-Plugin-TaskWeaver/ChangeLog
index 040c757..edc8e48 100644
--- a/dev-perl/Dist-Zilla-Plugin-TaskWeaver/ChangeLog
+++ b/dev-perl/Dist-Zilla-Plugin-TaskWeaver/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-perl/Dist-Zilla-Plugin-TaskWeaver
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Dist-Zilla-Plugin-TaskWeaver-0.101.626 (13 Oct 2013)
+
+ 13 Oct 2013; Kent Fredric <kentfredric@gmail.com>
+ +Dist-Zilla-Plugin-TaskWeaver-0.101.626.ebuild:
+ Version Bump
+
23 Aug 2012; Kent Fredric <kentfredric@gmail.com>
-Dist-Zilla-Plugin-TaskWeaver-0.100.890.ebuild,
-Dist-Zilla-Plugin-TaskWeaver-0.101.620.ebuild,
diff --git a/dev-perl/Dist-Zilla-Plugin-TaskWeaver/Dist-Zilla-Plugin-TaskWeaver-0.101.626.ebuild b/dev-perl/Dist-Zilla-Plugin-TaskWeaver/Dist-Zilla-Plugin-TaskWeaver-0.101.626.ebuild
new file mode 100644
index 0000000..1596d45
--- /dev/null
+++ b/dev-perl/Dist-Zilla-Plugin-TaskWeaver/Dist-Zilla-Plugin-TaskWeaver-0.101.626.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=RJBS
+MODULE_VERSION=0.101626
+inherit perl-module
+
+DESCRIPTION='a PodWeaver plugin used to build Task distributions'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+ # Dist::Zilla 2 ( 2.0.0 )
+ echo \>=dev-perl/Dist-Zilla-2.0.0
+ # Dist::Zilla::Plugin::PodWeaver
+ echo dev-perl/Dist-Zilla-Plugin-PodWeaver
+ # Dist::Zilla::Role::FileGatherer
+ echo dev-perl/Dist-Zilla
+ # Dist::Zilla::Role::PrereqSource
+ echo dev-perl/Dist-Zilla
+ # Moose
+ echo dev-perl/Moose
+ # Moose::Autobox
+ echo dev-perl/Moose-Autobox
+ # Pod::Elemental
+ echo dev-perl/Pod-Elemental
+ # Pod::Elemental::Selectors
+ echo dev-perl/Pod-Elemental
+ # Pod::Elemental::Transformer::Nester
+ echo dev-perl/Pod-Elemental
+ # Pod::Weaver 3 ( 3.0.0 )
+ echo \>=dev-perl/Pod-Weaver-3.0.0
+ # Pod::Weaver::Role::Dialect
+ echo dev-perl/Pod-Weaver
+ # Pod::Weaver::Role::Section
+ echo dev-perl/Pod-Weaver
+ # Test::More 0.88 ( 0.880.0 )
+ echo \>=virtual/perl-Test-Simple-0.88
+}
+perl_meta_test() {
+ # File::Find
+ # echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # Test::More 0.96 ( 0.960.0 )
+ echo \>=virtual/perl-Test-Simple-0.96
+ # strict
+ # echo dev-lang/perl
+ # warnings
+ # echo dev-lang/perl
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do parallel"
next reply other threads:[~2013-10-13 11:49 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-10-13 11:49 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2013-10-13 11:49 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Dist-Zilla-Plugin-TaskWeaver/ Kent Fredric
2012-08-23 12:35 Kent Fredric
2012-04-28 10:40 Kent Fredric
2012-04-06 20:43 Kent Fredric
2011-02-15 4:52 Kent Fredric
2011-02-15 4:52 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1381664288.4971acfe8a80653223c9d956dd96a0fb2c83609a.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox